#ifndef AIState_H
#define AIState_H

#include "GameStateModule.H"
#include "GfxModule.H"

namespace bzAI {
	class AIGUI;

	struct AIState{

		GameStateModule *gsm;
		GfxModule       *gfxm; // !=0 : gfx used
		AIGUI *gui;
		bool just_drew;  // just drew a gfx frame
		bool quit;       // true => quit game
		bool error;      // true <=> error occurred
		AIState(GameStateModule *gsm_, GfxModule *gfxm_, AIGUI *gui_) : gsm(gsm_), gfxm(gfxm_), gui(gui_) {
			just_drew = quit = error = false;
		}
	};
}
#endif

