#ifndef Coordinator_H
#define Coordinator_H

#include "Global.H"
#include "Worker.H"
namespace bzAI {




	class WorkerCoordinator {
		public:

		void setAction();
		void initialize();
	};

	class Game2FighterCoordinator {
		public:

		virtual void setAction();
		virtual void initialize();
	};
	
	class Game4FighterCoordinator : public Game2FighterCoordinator {
		public:

		void setAction();
	};

	
	
	class Coordinator {
		WorkerCoordinator* workerC;
		Game2FighterCoordinator* fighterC;
		
		public:
		
		Coordinator();
		~Coordinator();
		void setAction();

	};


}
#endif 

