#ifndef _FIGHTER_H
#define _FIGHTER_H

#include <vector>

#include "Agent.H"

class GameObj;

namespace bzAI {
	class AIObject;


class Fighter: public Agent {
	

	AIObject* target;
	
	sint4 shooting_counter;
	
	void shoot(AIObject*);

	public:


	virtual void attack(AIObject*);

	bool hasTarget();
	AIObject* getTarget();

	void setAction();

	virtual bool inRange();
	virtual bool inRange(AIObject*);
	
	virtual sint4 getRange();

	Fighter(GameObj*);

};

}

#endif
