#ifndef FPS_H
#define FPS_H

// $Id: FPS.H,v 1.5 2006/08/05 22:20:10 orts_mburo Exp $

// This is an ORTS file (c) Michael Buro, licensed under the GPL

#include "Global.H"

class FPS
{
public:

  FPS(sint4 d=5);
  ~FPS();
  
  real8 update();
  real8 getFPS() { return fps; }
  real8 getDt() { return dt; }

private:

  sint4 interval;
  sint4 p;
  Vector<sint4> list;
  real8 fps;
  real8 dt;
};

#endif
