#ifndef SIMPLEGLOBALPFOVERLAY_H
#define SIMPLEGLOBALPFOVERLAY_H

// $Id: SimpleGlobalPFOverlay.H,v 1.1 2006/12/31 04:09:40 orts_furtak Exp $

#include "SimplePFAdapter.H"
#include "DrawOnTerrain.H"
#include "EventHandler.H"

class SimpleGlobalPFOverlay : public EventHandler {
private:
  SimplePFAdapter &pf;
  DrawOnTerrain dot;
  bool enabled;
  GfxModule *gfxm;
  
public:
  SimpleGlobalPFOverlay(SimplePFAdapter &pf, GfxModule &gfxm);
  
  bool is_enabled() const {return enabled; }
  void enable() { enabled = true; }
  void disable() { enabled = false; }
  void draw();

  bool handle_event(const Event &e);
  
};


#endif
