#ifndef AIGUI_H_
#define AIGUI_H_
#include "GUI.H"

#include "AIGlobal.H"
#include "Global.H"
#include "Vector.H"

namespace bzAI {
	class AIGUI: public GUI { 
		protected:
			sint4 DISP_GVERTS, DISP_GEDGES, DISP_TARGETS;
		public:
			AIGUI();
			static void add_options();
			void display(const GameObj* obj1=0, const GameObj* obj2=0);
			void display(const GfxView2 &gv, const GameObj* obj1=0, const GameObj* obj2=0);
			Loc lscale(Loc l, sint4 mag);
			bool isVisible(Loc l, sint4 r, const GfxView2 &gv);
			void drawGraph(const GfxView2 &gv);

	};
}

#endif /*AIGUI_H_*/
