#ifndef FileArchive_H
#define FileArchive_H

// $Id: FileArchive.H,v 1.1 2006/05/27 17:22:36 orts_furtak Exp $

// This is an ORTS file (c) Tim Furtak, licensed under the GPL

#include "Global.H"

class FileArchive
{
private:
  static std::map<std::string, std::string> name2file;

public:
  static void read_archive(const std::string &filename);
  static void make_archive(const std::string &filename,
                           const Vector<std::string> &files,
                           sint4 compression_level=9);

  static const bool read_file(const std::string &filename, std::string &data);
};

#endif
